/*
 * $Id: clean_theme.h,v 0.4 2001/03/03 03:50:12 dengen Exp $
 *
 * Copyright (C) 1999-2000 Dwight Engen <dengen40@yahoo.com>
 *
 * The sources to the GTKstep theme by Ullrich Hafner <hafner@bigfoot.de>
 * and the Thin Ice theme by Tim & Tomas <timg@means.net> &
 * <stric@ing.umu.se> were both invaluable and borrowed from.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * $Log: clean_theme.h,v $
 * Revision 0.4  2001/03/03 03:50:12  dengen
 * added small_radio_buttons option
 *
 * Revision 0.3  2000/11/10 17:18:40  dengen
 * really draw all buttons same size, put default button in sunken box,
 * add option to draw a focused indicator on buttons
 *
 * Revision 0.2  2000/09/19 02:43:56  dengen
 * added flat_tooltips option
 *
 * Revision 0.1  1999/12/30 20:54:18  dengen
 * Initial
 *
 */

#include <gtk/gtk.h>
#include <gmodule.h>

/* Default stuff */
#define DEFAULT_DRAWBUTTONFOCUS		FALSE
#define DEFAULT_BLACKANDWHITE		TRUE
#define DEFAULT_FLATARROWS		TRUE
#define DEFAULT_FLATPROGRESS		FALSE
#define DEFAULT_FLATTOOLTIPS		FALSE
#define DEFAULT_SMALLMENUARROWS		TRUE
#define DEFAULT_SMALLRADIOBUTTONS	TRUE

#define DEFAULT_SLIDER_WIDTH      11
#define DEFAULT_MIN_SLIDER_SIZE   18

typedef struct
{
    gboolean	draw_button_focus;
    gboolean	black_and_white;
    gboolean	flat_arrows;
    gboolean	flat_progress;
    gboolean	flat_tooltips;
    gboolean	small_menu_arrows;
    gboolean	small_radio_buttons;
    gfloat	lightness_multiplier;
    gfloat	darkness_multiplier;
}
ThemeRcData;

typedef struct
{
    gboolean	draw_button_focus;
    gboolean	black_and_white;
    gboolean	flat_arrows;
    gboolean	flat_progress;
    gboolean	flat_tooltips;
    gboolean	small_menu_arrows;
    gboolean	small_radio_buttons;
    gfloat	lightness_multiplier;
    gfloat	darkness_multiplier;
}
ThemeStyleData;

enum
{
    TOKEN_DRAWBUTTONFOCUS = G_TOKEN_LAST +1,
    TOKEN_BLACKANDWHITE,
    TOKEN_FLATARROWS,
    TOKEN_FLATPROGRESS,
    TOKEN_FLATTOOLTIPS,
    TOKEN_SMALLMENUARROWS,
    TOKEN_SMALLRADIOBUTTONS,
    TOKEN_LIGHTNESSMULTIPLIER,
    TOKEN_DARKNESSMULTIPLIER,
    TOKEN_TRUE,
    TOKEN_FALSE
};
